=== modified file 'NEWS'
--- NEWS	2007-09-11 08:06:21 +0000
+++ NEWS	2007-09-13 11:00:18 +0000
@@ -139,7 +139,8 @@
       updated.  (Martin Pool, #93856, #93860)
 
    * Print a warning instead of aborting the ``python setup.py install``
-     process if building of a C extension is not possible.  (Lukáš Lalinský)
+     process if building of a C extension is not possible.
+     (Lukáš Lalinský, Alexander Belchenko)
 
   IMPROVEMENTS:
 

=== modified file 'setup.py'
--- setup.py	2007-09-11 08:06:21 +0000
+++ setup.py	2007-09-13 11:00:18 +0000
@@ -150,7 +150,7 @@
 command_classes = {'install_scripts': my_install_scripts,
                    'build': bzr_build}
 from distutils import log
-from distutils.errors import CCompilerError
+from distutils.errors import CCompilerError, DistutilsPlatformError
 from distutils.extension import Extension
 ext_modules = []
 try:
@@ -171,6 +171,15 @@
 
 class build_ext_if_possible(build_ext):
 
+    def run(self):
+        try:
+            build_ext.run(self)
+        except DistutilsPlatformError, e:
+            if sys.platform == 'win32':
+                log.warn(str(e))
+                log.warn("Extensions cannot be compiled, "
+                         "will use pure Python modules instead")
+
     def build_extension(self, ext):
         try:
             build_ext.build_extension(self, ext)

